'\" t
.TH foo2hiperc 1 "${MODpage}" "foo2hiperc ${MODver}"
#ifndef OLDGROFF
#include "macros.man"
#endif
'\"==========================================================================
'\"	MANUAL PAGE SOURCE
'\"==========================================================================
.SH NAME
foo2hiperc \- Convert Ghostscript pbmraw or bitcmyk format into a
HIPERC printer stream
.SH SYNOPSIS
.B foo2hiperc
.RI [ options "] <" pbmraw-file " >" hiperc-file
.sp 1
.B foo2hiperc
.RI [ options "] <" bitcmyk-file " >" hiperc-file
.sp 1
.B foo2hiperc
.RI [ options "] <" pksmraw-file " >" hiperc-file
.SH DESCRIPTION
.B foo2hiperc
converts Ghostscript pbmraw, bitcmyk, or pksmraw output formats to monochrome
or color HIPERC streams,
for driving the
Oki C3200, C3300n, C3400n, C5100n, and the C5500n
HIPERC printers.

.SH COMMAND LINE OPTIONS
.SS Normal Options
These are the options used to select the parameters of a
print job that are usually controlled on a per job basis.
.TP
.BI \-c
Force color mode if autodetect doesn't work.
.TP
.BI \-d\0 duplex
Duplex code to send to printer [1].
.TS
| n l | n l | n l .
1	off	2	long edge	3	short edge
.TE
.TP
.BI \-g\0 xpix x ypix
Set page dimensions in pixels [5100x6600].
.TP
.BI \-m\0 media
Media code to send to printer [0].
.TS
l l l
l n n.
_
Media	HIPERC
_
plain	0
labels	1
transparency	2
.TE
.TP
.BI \-p\0 paper
Paper code to send to printer [2].
.TS
box;
| n l | n l.
1	A4	2	letter
3	legal	-	-	
5	A5	6	B5jis
7	A6	8	env Monarch
9	env DL	10	env C5
11	env #10	12	executive
13	env #9	-	-
.TE
.TP
.BI \-n\0 copies
Number of copies [1].
.TP
.BI \-r\0 xres x yres
Set device resolution in pixels/inch [600x600].
.TP
.BI \-s\0 source
Source (InputSlot) code to send to printer [1].
.TS
| n l | n l.
1	tray1	2	tray2
3	multi	4	manual
.TE
.TP
.BI \-t
Draft mode.  Every other pixel is white.
.TP
.BI \-J\0 filename
Filename string to send to printer.
.TP
.BI \-U\0 username
Username string to send to printer.
.SS Printer Tweaking Options
These are the options used to customize the operation of \fBfoo2hiperc\fP
for a particular printer.
.TP
.BI \-u\0 xoff x yoff
Set the offset of the start of the printable region from the
upper left corner, in pixels [0x0].
.TP
.BI \-l\0 xoff x yoff
Set the offset of the end of the printable region from the
lower right corner, in pixels [0x0].
.TP
.BI \-L\0 mask
Send logical clipping amounts implied by -u/-l in the HIPERC stream [3].
.TS
l l.
0	don't send any logical clipping amounts
1	only send Y clipping amount
2	only send X clipping amount
3	send both X and Y clipping amounts
.TE
.TP
.BI \-A
AllIsBlack: convert C=1,M=1,Y=1 to just K=1.  Works with bitcmyk input only.
.TP
.BI \-B
BlackClears: K=1 forces C,M,Y to 0.  Works with bitcmyk input only.
.TP
.BI \-Z\0 compressed
Use uncompressed (0) or compressed (1) JBIG data.
.SS Debugging Options
These options are used for debugging \fBfoo2hiperc\fP.
.TP
.BI \-S\0 plane
Output just a single color plane from a color print and print it
on the black plane.  The default is to output all color planes.
.TS
l l.
1	Cyan
2	Magenta
3	Yellow
4	Black
.TE
.TP
.BI \-D\0 level
Set Debug level [0].

.SH EXAMPLES
Create a black and white HIPERC stream:

.RS
.nf
gs -q -dBATCH -dSAFER -dQUIET -dNOPAUSE \ 
    -sPAPERSIZE=letter -r600x600 -sDEVICE=pbmraw \ 
    -sOutputFile=- - < testpage.ps \ 
| foo2hiperc -r600x600 -g5100x6600 -p0 >testpage.zm
.fi
.RE
.P
Create a color HIPERC stream:

.RS
.nf
gs -q -dBATCH -dSAFER -dQUIET -dNOPAUSE \ 
    -sPAPERSIZE=letter -g5100x6600 -r600x600 -sDEVICE=bitcmyk \ 
    -sOutputFile=- - < testpage.ps \ 
| foo2hiperc -r600x600 -g5100x6600 -p0 >testpage.zc
.fi
.RE

.SH FILES
.BR /usr/bin/foo2hiperc
.SH SEE ALSO
.BR foo2hiperc-wrapper (1),
.BR hipercdecode (1)
.SH "AUTHOR"
Rick Richardson <rick.richardson@comcast.com>
.br
${URLHC}/
'/"
'/"
'/"
.em pdf_outline
